/* Layout */
import Layout from '@/layout'
// 授权管理页面
const authRoutes = [
  {
    path: '/auth',
    component: Layout,
    alwaysShow: true,
    redirect: '/auth/list',
    name: 'Auth',
    meta: {
      title: '机构认证',
      icon: 'el-icon-s-custom',
      roles: ['admin', 'normal'],
      noCache: true,
      proxy: true,
      id: 1
    },
    children: [
      {
        path: 'list',
        component: () => import('@/views/authentic/auth/index'),
        name: 'AuthList',
        meta: {
          title: '机构列表',
          icon: 'el-icon-menu',
          roles: ['admin', 'normal'],
          affix: true,
          noCache: true,
          proxy: true,
          id: 2
        }
      },
      {
        path: 'auth-add',
        component: () => import('@/views/authentic/auth/add'),
        name: 'AuthAdd',
        hidden: true,
        meta: { title: '添加机构', icon: 'el-icon-menu', roles: ['normal'], noCache: true, proxy: true, id: 3 }
      },
      {
        path: 'auth-edit',
        component: () => import('@/views/authentic/auth/edit'),
        name: 'AuthEdit',
        hidden: true,
        meta: { title: '修改机构', icon: 'el-icon-menu', roles: ['normal'], noCache: true, proxy: true, id: 4 }
      },
      {
        path: 'user-list',
        component: () => import('@/views/authentic/auth/user/userList'),
        name: 'ClubUserList',
        hidden: true,
        meta: { title: '登录用户', icon: 'el-icon-menu', roles: ['normal'], noCache: true, proxy: true, id: 5 }
      }
    ]
  }
]

export default authRoutes
