// 医师认证路由

import Layout from '@/layout'
// 授权管理页面
const doctorAuthRoutes = [
  {
    path: '/doctor',
    component: Layout,
    alwaysShow: true,
    redirect: '/doctor/list',
    name: 'Doctor',
    meta: {
      title: '医师认证',
      icon: 'el-icon-user-solid',
      roles: ['normal'],
      noCache: true,
      proxy: true,
      id: 13
    },
    children: [
      {
        path: 'list',
        component: () => import('@/views/authentic/doctor'),
        name: 'DoctorList',
        meta: { title: '医师列表', icon: 'el-icon-menu', roles: ['normal'], noCache: true, id: 14, proxy: true }
      },
      {
        hidden: true,
        path: 'add',
        component: () => import('@/views/authentic/doctor/add'),
        name: 'DoctorList',
        meta: { title: '添加医师', icon: 'el-icon-menu', roles: ['normal'], noCache: true, id: 15, proxy: true }
      },
      {
        hidden: true,
        path: 'edit',
        component: () => import('@/views/authentic/doctor/edit'),
        name: 'DoctorList',
        meta: { title: '修改医师资料', icon: 'el-icon-menu', roles: ['normal'], noCache: true, id: 16, proxy: true }
      }
    ]
  }
]

export default doctorAuthRoutes
