/* Layout */
import Layout from '@/layout'

// 商品管理
const productRoutes = [
  {
    path: '/product',
    component: Layout,
    alwaysShow: true,
    redirect: '/product/list',
    hidden: true,
    name: 'Product',
    meta: { title: '设备认证', icon: 'el-icon-s-shop', roles: ['admin', 'normal'], noCache: true, id: 23 },
    children: [
      {
        hidden: true,
        path: 'list',
        component: () => import('@/views/authentic/product/index'),
        name: 'ProductList',
        meta: { title: '设备列表', icon: 'el-icon-menu', roles: ['admin', 'normal'], noCache: true, id: 24 }
      },
      {
        hidden: true,
        path: 'add',
        component: () => import('@/views/authentic/product/add'),
        name: 'AddProduct',
        meta: { title: '添加设备', icon: 'el-icon-menu', roles: ['normal'], noCache: true, proxy: true, id: 25 }
      },
      {
        hidden: true,
        path: 'edit',
        component: () => import('@/views/authentic/product/edit'),
        name: 'EditProduct',
        meta: { title: '修改设备', icon: 'el-icon-menu', roles: ['normal'], noCache: true, proxy: true, id: 26 }
      }
    ]
  }
]

export default productRoutes
