/* Layout */
import Layout from '@/layout'

// 机构认证审核路由
const authRoutes = [
  {
    path: 'auth',
    component: () => import('@/views/authentic/review/auth/index'),
    name: 'ReviewAuth',
    meta: { title: '机构认证', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 27 }
  },
  {
    path: 'auth-list',
    hidden: true,
    component: () => import('@/views/authentic/review/auth/authList'),
    name: 'ReviewAuthList',
    meta: { title: '机构认证审核', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 28 }
  },
  {
    path: 'auth-detail',
    hidden: true,
    component: () => import('@/views/authentic/review/auth/authDetail'),
    name: 'ReviewAuthDetail',
    meta: { title: '机构认证审核详情', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 47 }
  },
  {
    path: 'auth-shop-list',
    hidden: true,
    component: () => import('@/views/authentic/review/auth/shopList'),
    name: 'ReviewAuthShopList',
    meta: { title: '设备审核列表', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 29 }
  },
  {
    path: 'auth-shop-detail',
    hidden: true,
    component: () => import('@/views/authentic/review/auth/shopDetail'),
    name: 'ReviewAuthShopDetail',
    meta: { title: '设备审核详情', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 30 }
  }
]

// 医师资料审核
const doctorRoutes = [
  {
    path: 'doctor',
    component: () => import('@/views/authentic/review/doctor/index'),
    name: 'ReviewDoctor',
    meta: { title: '医师认证', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 45 }
  },
  {
    path: 'doctor-list',
    hidden: true,
    component: () => import('@/views/authentic/review/doctor/doctorList'),
    name: 'ReviewDoctorList',
    meta: { title: '医师审核列表', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 46 }
  },
  {
    path: 'doctor-detail',
    hidden: true,
    component: () => import('@/views/authentic/review/doctor/doctorDetail'),
    name: 'ReviewDoctorDetail',
    meta: { title: '医师审核详情', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 47 }
  }
]

// 资料库审核
const docRoutes = [
  {
    path: 'doc',
    component: () => import('@/views/authentic/review/doc/index'),
    name: 'ReviewDoc',
    meta: { title: '资料库', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 31 }
  },
  {
    path: 'doc-article-list',
    component: () => import('@/views/authentic/review/doc/articleList'),
    name: 'ReviewDocArticleList',
    hidden: true,
    meta: { title: '文章审核列表', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 32 }
  },
  {
    path: 'doc-article-detail',
    component: () => import('@/views/authentic/review/doc/articleDetail'),
    name: 'ReviewDocArticleDetail',
    hidden: true,
    meta: { title: '审核文章', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 33 }
  },
  {
    path: 'doc-image-list',
    component: () => import('@/views/authentic/review/doc/imageList'),
    name: 'ReviewDocImageList',
    hidden: true,
    meta: { title: '图片审核列表', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 34 }
  },
  {
    path: 'doc-image-detail',
    component: () => import('@/views/authentic/review/doc/imageDetail'),
    name: 'ReviewDocImageDetail',
    hidden: true,
    meta: { title: '审核图片', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 35 }
  },
  {
    path: 'doc-video-list',
    component: () => import('@/views/authentic/review/doc/videoList'),
    name: 'ReviewDocVideoList',
    hidden: true,
    meta: { title: '视频审核列表', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 36 }
  },
  {
    path: 'doc-file-list',
    component: () => import('@/views/authentic/review/doc/fileList'),
    name: 'ReviewDocFileList',
    hidden: true,
    meta: { title: '文件审核列表', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 37 }
  }
]

// 审核页面路由
const reviewRoutes = [
  {
    path: '/review',
    component: Layout,
    alwaysShow: true,
    name: 'Review',
    meta: { title: '审核管理', icon: 'el-icon-s-check', roles: ['admin'], noCache: true, id: 38 },
    children: [...authRoutes, ...doctorRoutes, ...docRoutes]
  }
]

export default reviewRoutes
