/* Layout */
import Layout from '@/layout'

// 供应商管理页面
const supplierRoutes = [
  {
    path: '/supplier',
    component: Layout,
    alwaysShow: true,
    name: 'Supplier',
    redirect: '/supplier/list',
    meta: { title: '账号管理', icon: 'el-icon-s-custom', roles: ['admin'], noCache: true, id: 39 },
    children: [
      {
        path: 'list',
        component: () => import('@/views/authentic/supplier/index'),
        name: 'SupplierList',
        meta: { title: '供应商账号', icon: 'el-icon-menu', affix: true, roles: ['admin'], noCache: true, id: 40 }
      },
      {
        hidden: true,
        path: 'add',
        component: () => import('@/views/authentic/supplier/add'),
        name: 'SupplierAdd',
        meta: { title: '添加供应商', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 41 }
      },
      {
        hidden: true,
        path: 'edit',
        component: () => import('@/views/authentic/supplier/edit'),
        name: 'SupplierEdit',
        meta: { title: '修改供应商', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 42 }
      },
      {
        hidden: true,
        path: 'auth-list',
        component: () => import('@/views/authentic/supplier/auth'),
        name: 'AuthList',
        meta: { title: '查看认证机构', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 43 }
      },
      {
        hidden: true,
        path: 'auth-detail',
        component: () => import('@/views/authentic/supplier/auth/detail'),
        name: 'AuthList',
        meta: { title: '认证机构详情', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 45 }
      },
      {
        hidden: true,
        path: 'auth-product-list',
        component: () => import('@/views/authentic/supplier/product'),
        name: 'AuthList',
        meta: { title: '查看设备认证', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 44 }
      },
      {
        hidden: true,
        path: 'auth-product-detail',
        component: () => import('@/views/authentic/supplier/product/detail'),
        name: 'AuthProductDetail',
        meta: { title: '设备认证详情', icon: 'el-icon-menu', roles: ['admin'], noCache: true, id: 44 }
      }
    ]
  }
]

export default supplierRoutes
